System Requirements

To use Playart Pro, you’ll need a modern web browser like the newest version of Google Chrome, Mozilla Firefox, Safari, or Internet Explorer. The core play designer is the same for both free and pro subscribers so if you can use the free play designers without issue then your browser is supported.

Tablet Support

Although tablets are not officially supported, Playart Pro is touch-aware and should be usable on newer iPad and Android tablets.

© 2017 Playart Pro | All Rights Reserved

Back to top